<div id="top">
  <div>
    <mat-card class="infocard">
      <mat-card-title>Welcome to your pokédex!</mat-card-title>
        <p style="margin-top: 12px;">Here you can see all the pokémon you have found so far.</p>
      <mat-card-content style="margin-top: 25px;">
        Total number of pokémons found: {{getNumberOfPokemonFound()}}
        <mat-grid-list cols="1" rowHeight="12:1" style="margin-top:30px">
          <mat-grid-tile>
            Go to Generation:
            <div class="button-row" *ngFor="let gen of generations let i = index ">
              <button mat-mini-fab (click)="onClickMove(gen)" color="warn" style="font-family: 'Press Start 2P', cursive; margin-left: 30px;">{{i + 1}}</button>
            </div>
          </mat-grid-tile>
        </mat-grid-list>
      </mat-card-content>
    </mat-card>
  </div>

  <mat-card class="listcard">
    <div *ngFor="let pokemon of pokedexFiltered let i = index">
      
      <h1 id="1" class="title" *ngIf="i == 0">Generation 1</h1>
      <mat-divider *ngIf="i == 0"></mat-divider>

      <mat-divider *ngIf="checkGeneration(i)"></mat-divider>
      <br/>
      <h1 id={{checkGeneration(i).toString()}} class="title" *ngIf="checkGeneration(i)">Generation {{checkGeneration(i)}} </h1>
      <mat-divider *ngIf="checkGeneration(i)"></mat-divider>

      <mat-nav-list>
        <div *ngIf=" pokemon; else elseBlock">
          <a mat-list-item routerLink="/pokemon/{{pokemon}}">
            <img matListAvatar src="assets/images/pokeball.png" style="filter: drop-shadow(2px 3px 3px rgb(0, 0, 0))">
            <span class="pokeid">{{idGenerator(i)}}</span>
            <span>{{pokemon}}</span>  
          </a> 
        </div>
        <ng-template #elseBlock>
          <mat-list-item>
            <img matListAvatar src="assets/images/pokeball.png" style="filter: blur(1px) saturate(0%) opacity(50%) brightness(30%)">
              <span class="pokeid">{{idGenerator(i)}}</span>
              <span>------</span>
          </mat-list-item>
        </ng-template>
      </mat-nav-list>
    </div>
  </mat-card>
  <button mat-raised-button (click)="onClickMove('top')" color="warn" style="font-family: 'Press Start 2P', cursive; padding: 5px 20 5px 20px; margin-left: 100px;">Go to top</button>
</div>
